Python37.dll conflict error

Use this forum for general user support and related questions.
Mink
Posts: 2
Joined: Wed Nov 28, 2018 9:54 am

Python37.dll conflict error

Post by Mink » Wed Nov 28, 2018 10:01 am

Hello LuxCoreRender community,

I've been looking around for different render engines for the last couple of weeks and after finding this render engine I thought I'd give it a shot and see how it is compared to cycles. When trying to active the addon however in 2.79b I get this python error;

Code: Select all

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\scripts\startup\bl_operators\wm.py", line 2054, in execute
    file_to_extract.extractall(path_addons)
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\zipfile.py", line 1349, in extractall
    self.extract(zipinfo, path, pwd)
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\zipfile.py", line 1337, in extract
    return self._extract_member(member, path, pwd)
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\zipfile.py", line 1400, in _extract_member
    open(targetpath, "wb") as target:
PermissionError: [Errno 13] Permission denied: 'C:\\Users\\spell\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\BlendLuxCore\\bin\\embree.dll'
Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\__init__.py", line 27, in <module>
    from . import urllib3
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\urllib3\__init__.py", line 8, in <module>
    from .connectionpool import (
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 7, in <module>
    from socket import error as SocketError, timeout as SocketTimeout
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\socket.py", line 49, in <module>
    import _socket
ImportError: Module use of python37.dll conflicts with this version of Python.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\scripts\modules\addon_utils.py", line 331, in enable
    mod = __import__(module_name)
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\__init__.py", line 16, in <module>
    from . import engine, handlers, nodes, operators, properties, ui
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\__init__.py", line 7, in <module>
    from . import (
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\update.py", line 1, in <module>
    import requests
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\__init__.py", line 61, in <module>
    from .packages.urllib3.exceptions import DependencyWarning
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\__init__.py", line 29, in <module>
    import urllib3
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\urllib3\__init__.py", line 8, in <module>
    from .connectionpool import (
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\urllib3\connectionpool.py", line 7, in <module>
    from socket import error as SocketError, timeout as SocketTimeout
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\socket.py", line 49, in <module>
    import _socket
ImportError: Module use of python37.dll conflicts with this version of Python.

reloading addon: BlendLuxCore 1543398281.8085158 1543398718.5175283 C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\__init__.py
Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\__init__.py", line 27, in <module>
    from . import urllib3
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\urllib3\__init__.py", line 8, in <module>
    from .connectionpool import (
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\urllib3\connectionpool.py", line 7, in <module>
    from socket import error as SocketError, timeout as SocketTimeout
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\socket.py", line 49, in <module>
    import _socket
ImportError: Module use of python37.dll conflicts with this version of Python.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.79\scripts\modules\addon_utils.py", line 331, in enable
    mod = __import__(module_name)
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\__init__.py", line 16, in <module>
    from . import engine, handlers, nodes, operators, properties, ui
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\__init__.py", line 7, in <module>
    from . import (
  File "C:\Users\spell\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\update.py", line 1, in <module>
    import requests
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\__init__.py", line 61, in <module>
    from .packages.urllib3.exceptions import DependencyWarning
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\requests\packages\__init__.py", line 29, in <module>
    import urllib3
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\urllib3\__init__.py", line 8, in <module>
    from .connectionpool import (
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\site-packages\urllib3\connectionpool.py", line 7, in <module>
    from socket import error as SocketError, timeout as SocketTimeout
  File "C:\Program Files\Blender Foundation\Blender\2.79\python\lib\socket.py", line 49, in <module>
    import _socket
ImportError: Module use of python37.dll conflicts with this version of Python.
Does anyone know how to fix this error?
Thank you in advance.

acasta69
Developer
Developer
Posts: 153
Joined: Tue Jan 09, 2018 3:45 pm

Re: Python37.dll conflict error

Post by acasta69 » Wed Nov 28, 2018 10:07 am

Hi, maybe you are trying to use LuxCoreRender with a Blender "nightly" build?
Those builds use python 3.7, even if they are named "2.79b".
You need to use the official Blender 2.79b release, which is based on python 3.5.
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

Mink
Posts: 2
Joined: Wed Nov 28, 2018 9:54 am

Re: Python37.dll conflict error

Post by Mink » Wed Nov 28, 2018 10:13 am

acasta69 wrote:
Wed Nov 28, 2018 10:07 am
Hi, maybe you are trying to use LuxCoreRender with a Blender "nightly" build?
Those builds use python 3.7, even if they are named "2.79b".
You need to use the official Blender 2.79b release, which is based on python 3.5.
My bad, I thought repairing using the version from the official downloadpage would fully install that version, but it seems to be just the splash. It works now so thank you!

Martini
Posts: 5
Joined: Fri Nov 23, 2018 11:36 am

Re: Python37.dll conflict error

Post by Martini » Wed Jan 09, 2019 10:52 am

acasta69 wrote:
Wed Nov 28, 2018 10:07 am
Hi, maybe you are trying to use LuxCoreRender with a Blender "nightly" build?
Those builds use python 3.7, even if they are named "2.79b".
You need to use the official Blender 2.79b release, which is based on python 3.5.
My apologies if this has been asked elsewhere before (searching did not turn up much). Is it possible to get a build of BlendLuxCore to run on the new python 3.7? A couple of reasons why I ask...:

1. I just bought a GeForce RTX 2080 Ti and the only way to get Cycles to work is to use a nightly build, due to it needing CUDA 7.5 or something?
2. Apparently Blender team is moving to newer python for 2.80 release. Are there plans to move BlendLuxCore as well? Or is there a 2.80-compatible version already?
3. Is it a simple fix to just recompile, or is there much more work needed for this to even be possible?
4. If it were possible, is it going to suffer the same problem as Cycles regarding the CUDA version requirement?

Assuming all this is possible, does anyone know of a Windows binary anywhere for download? Or could make one? <3

Does anyone else have the same GPU? What solution have you guys found?

Thanks for reading my post :)

User avatar
epilectrolytics
Donor
Donor
Posts: 370
Joined: Thu Oct 04, 2018 6:06 am

Re: Python37.dll conflict error

Post by epilectrolytics » Wed Jan 09, 2019 11:04 am

RTX 2070 + GTX 1060 with Ryzen 2700X here.
I use the official Blender 2.79b with LuxCore add-on.
RTX card works well in BlendLuxCore but not in Cycles.
Parrallel I have a master build of 2.79 that supports RTX cards in Cycles, but LuxCore engine is not available there.

So switching between Cycles and Luxcore on the same Blender version is not possible but I don't really need that.
If I want to switch I have to save the scene, close Blender and open the other version which is no problem.

The latest Master of 2.79 has also other advancements like in the node system so a project saved from there will have issues when opened with the official version, but that's Cycles only.
MBPro 15" 16GB i7-4850HQ GT750M, MacOS 10.13.6 & Win10Pro PC 16GB Ryzen 2700X, RTX 2070, GTX 1060

User avatar
epilectrolytics
Donor
Donor
Posts: 370
Joined: Thu Oct 04, 2018 6:06 am

Re: Python37.dll conflict error

Post by epilectrolytics » Wed Jan 09, 2019 11:25 am

epilectrolytics wrote:
Wed Jan 09, 2019 11:04 am
If I want to switch I have to save the scene, close Blender and open the other version which is no problem.
In fact there might be a problem when saving a file with the nightly build (Cycles) and then opening it with the official version (LuxCore).
I was just struggling with a file causing mysterious crashes but don't recall with which version I saved it.

So caution is advised when going backwards.

I hope this will be resolved nicely once 2.80 is out and LuxCore will be transitioned too.
MBPro 15" 16GB i7-4850HQ GT750M, MacOS 10.13.6 & Win10Pro PC 16GB Ryzen 2700X, RTX 2070, GTX 1060

Martini
Posts: 5
Joined: Fri Nov 23, 2018 11:36 am

Re: Python37.dll conflict error

Post by Martini » Wed Jan 09, 2019 11:27 am

epilectrolytics wrote:
Wed Jan 09, 2019 11:04 am
RTX 2070 + GTX 1060 with Ryzen 2700X here.
Ah, you got it - Merry Christmas! Mine was also a Christmas present ;) Though I suspect my 4770K is now becoming a bottleneck. :(
epilectrolytics wrote:
Wed Jan 09, 2019 11:04 am
So switching between Cycles and Luxcore on the same Blender version is not possible but I don't really need that.
Yeah that's a shame. Hopefully soon we can get back to that setup. Depending on what the devs have to say about it anyway... :?:
epilectrolytics wrote:
Wed Jan 09, 2019 11:04 am
If I want to switch I have to save the scene, close Blender and open the other version which is no problem.

The latest Master of 2.79 has also other advancements like in the node system so a project saved from there will have issues when opened with the official version, but that's Cycles only.
Nice one. I'll try that, thanks! Also good to know about the file compatibility, thanks once more.

Martini
Posts: 5
Joined: Fri Nov 23, 2018 11:36 am

Re: Python37.dll conflict error

Post by Martini » Wed Jan 09, 2019 11:34 am

epilectrolytics wrote:
Wed Jan 09, 2019 11:25 am
In fact there might be a problem when saving a file with the nightly build (Cycles) and then opening it with the official version (LuxCore).
I was just struggling with a file causing mysterious crashes but don't recall with which version I saved it.

So caution is advised when going backwards.
I think the solution I came up with (back before I got the RTX card, when I could use the same instance of Blender) was to just have 1 file dedicated to Cycles, and a copy dedicated to LuxCore. The materials and environment are not compatible anyway so it made sense (to me) to do that. But thanks for the good advice - I had suspected that might be the case!

User avatar
epilectrolytics
Donor
Donor
Posts: 370
Joined: Thu Oct 04, 2018 6:06 am

Re: Python37.dll conflict error

Post by epilectrolytics » Wed Jan 09, 2019 11:45 am

Martini wrote:
Wed Jan 09, 2019 11:34 am
I think the solution I came up with (back before I got the RTX card, when I could use the same instance of Blender) was to just have 1 file dedicated to Cycles, and a copy dedicated to LuxCore.
That's a great idea.
My problem is that I develop everything on my Mac and then use the fast PC for rendering only, which introduces another source of confusion but somehow I'll muddle through :lol:
MBPro 15" 16GB i7-4850HQ GT750M, MacOS 10.13.6 & Win10Pro PC 16GB Ryzen 2700X, RTX 2070, GTX 1060

acasta69
Developer
Developer
Posts: 153
Joined: Tue Jan 09, 2018 3:45 pm

Re: Python37.dll conflict error

Post by acasta69 » Sat Jan 12, 2019 1:47 pm

Martini wrote:
Wed Jan 09, 2019 10:52 am
Assuming all this is possible, does anyone know of a Windows binary anywhere for download? Or could make one? <3
Hi, if you still need it, you can find a link to a v2.1 binary with python 3.7 at the link in this post:
viewtopic.php?f=9&t=826&start=10#p8776
Support LuxCoreRender project with salts and bounties

Windows 10 64 bits, i7-4770 3.4 GHz, RAM 16 GB, GTX 970 4GB v382.05

Post Reply